<compatibility-matrix version="2.0" type="framework">
    <hal format="hidl" optional="true">
        <name>android.hardware.gnss</name>
        <version>1.0</version>
        <interface>
            <name>IGnss</name>
            <instance>gnss_vendor</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>android.hardware.radio</name>
        <version>1.0-2</version>
        <interface>
            <name>ISap</name>
            <instance>slot2</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>com.qualcomm.qti.bluetooth_audio</name>
        <version>1.0</version>
        <interface>
            <name>IBluetoothAudio</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>com.qualcomm.qti.dpm.api</name>
        <version>1.0</version>
        <interface>
            <name>IdpmQmi</name>
            <instance>dpmQmiService</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.display.color</name>
        <version>1.0-5</version>
        <interface>
            <name>IDisplayColor</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.display.config</name>
        <version>2.0</version>
        <interface>
            <name>IDisplayConfig</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.display.postproc</name>
        <version>1.0</version>
        <interface>
            <name>IDisplayPostproc</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>vendor.nxp.nxpnfc_aidl</name>
        <interface>
            <name>INxpNfc</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.qti.data.factory</name>
        <version>2.0-3</version>
        <interface>
            <name>IFactory</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.qti.esepowermanager</name>
        <version>1.0-1</version>
        <interface>
            <name>IEsePowerManager</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.qti.gnss</name>
        <version>1.0-2</version>
        <version>2.0-1</version>
        <version>3.0</version>
        <version>4.0</version>
        <interface>
            <name>ILocHidlGnss</name>
            <instance>gnss_vendor</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.qti.hardware.alarm</name>
        <version>1.0</version>
        <interface>
            <name>IAlarm</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.qti.hardware.audiohalext</name>
        <version>1.0</version>
        <interface>
            <name>IAudioHalExt</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.qti.hardware.bluetooth_audio</name>
        <version>2.0</version>
        <interface>
            <name>IBluetoothAudioProvidersFactory</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.qti.hardware.bluetooth_sar</name>
        <version>1.0-1</version>
        <interface>
            <name>IBluetoothSar</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.qti.hardware.btconfigstore</name>
        <version>1.0</version>
        <interface>
            <name>IBTConfigStore</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.qti.hardware.cacert</name>
        <version>1.0</version>
        <interface>
            <name>IService</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.qti.hardware.camera.postproc</name>
        <version>1.0</version>
        <interface>
            <name>IPostProcService</name>
            <instance>camerapostprocservice</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.qti.hardware.capabilityconfigstore</name>
        <version>1.0</version>
        <interface>
            <name>ICapabilityConfigStore</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.qti.hardware.data.connection</name>
        <version>1.0-1</version>
        <interface>
            <name>IDataConnection</name>
            <instance>slot1</instance>
            <instance>slot2</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.qti.hardware.data.iwlan</name>
        <version>1.0</version>
        <interface>
            <name>IIWlan</name>
            <instance>slot1</instance>
            <instance>slot2</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.qti.hardware.data.latency</name>
        <version>1.0</version>
        <interface>
            <name>ILinkLatency</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.qti.hardware.display.allocator</name>
        <version>3.0</version>
        <version>4.0</version>
        <interface>
            <name>IQtiAllocator</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.qti.hardware.display.composer</name>
        <version>3.0</version>
        <interface>
            <name>IQtiComposer</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.qti.hardware.display.mapper</name>
        <version>3.0</version>
        <version>4.0</version>
        <interface>
            <name>IQtiMapper</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.qti.hardware.dsp</name>
        <version>1.0</version>
        <interface>
            <name>IDspService</name>
            <instance>dspservice</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.qti.hardware.factory</name>
        <version>1.0-1</version>
        <interface>
            <name>IFactory</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.qti.hardware.qccvndhal</name>
        <version>1.0</version>
        <interface>
            <name>IQccvndhal</name>
            <instance>qccvndhal</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.qti.hardware.qseecom</name>
        <version>1.0</version>
        <interface>
            <name>IQSEECom</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.qti.hardware.qteeconnector</name>
        <version>1.0</version>
        <interface>
            <name>IAppConnector</name>
            <instance>default</instance>
        </interface>
        <interface>
            <name>IGPAppConnector</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.qti.hardware.radio.am</name>
        <version>1.0</version>
        <interface>
            <name>IQcRilAudio</name>
            <instance>slot1</instance>
            <instance>slot2</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.qti.hardware.radio.ims</name>
        <version>1.0-7</version>
        <interface>
            <name>IImsRadio</name>
            <instance>imsradio0</instance>
            <instance>imsradio1</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.qti.hardware.radio.internal.deviceinfo</name>
        <version>1.0</version>
        <interface>
            <name>IDeviceInfo</name>
            <instance>deviceinfo</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.qti.hardware.radio.lpa</name>
        <version>1.0-1</version>
        <interface>
            <name>IUimLpa</name>
            <instance>UimLpa0</instance>
            <instance>UimLpa1</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.qti.hardware.radio.qcrilhook</name>
        <version>1.0</version>
        <interface>
            <name>IQtiOemHook</name>
            <instance>oemhook0</instance>
            <instance>oemhook1</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.qti.hardware.radio.qtiradio</name>
        <version>1.0</version>
        <version>2.0-4</version>
        <interface>
            <name>IQtiRadio</name>
            <instance>slot1</instance>
            <instance>slot2</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.qti.hardware.radio.uim</name>
        <version>1.0-2</version>
        <interface>
            <name>IUim</name>
            <instance>Uim0</instance>
            <instance>Uim1</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.qti.hardware.radio.uim_remote_client</name>
        <version>1.0</version>
        <interface>
            <name>IUimRemoteServiceClient</name>
            <instance>uimRemoteClient0</instance>
            <instance>uimRemoteClient1</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.qti.hardware.radio.uim_remote_server</name>
        <version>1.0</version>
        <interface>
            <name>IUimRemoteServiceServer</name>
            <instance>uimRemoteServer0</instance>
            <instance>uimRemoteServer1</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.qti.hardware.sensorscalibrate</name>
        <version>1.0</version>
        <interface>
            <name>ISensorsCalibrate</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.qti.hardware.soter</name>
        <version>1.0</version>
        <interface>
            <name>ISoter</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.qti.hardware.tui_comm</name>
        <version>1.0</version>
        <interface>
            <name>ITuiComm</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.qti.hardware.vpp</name>
        <version>1.0-3</version>
        <interface>
            <name>IHidlVppService</name>
            <instance>vppService</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.qti.hardware.wifi.wifilearner</name>
        <version>1.0</version>
        <interface>
            <name>IWifiStats</name>
            <instance>wifiStats</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.qti.imsrtpservice</name>
        <version>3.0</version>
        <interface>
            <name>IRTPService</name>
            <instance>imsrtpservice</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.qti.qspmhal</name>
        <version>1.0</version>
        <interface>
            <name>IQspmhal</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.xiaomi.hardware.mlipay</name>
        <version>1.0-1</version>
        <interface>
            <name>IMlipayService</name>
            <instance>default</instance>
        </interface>
    </hal>
</compatibility-matrix>
